{% extends "roadbook/base.html" %}

{% load i18n %}
{% load leaflet_tags %}
{% load roadbook_tags %}
{% load static %}
{% load wagtailcore_tags %}
{% load wagtailimages_tags %}

{% block extra_uncompressed_js %}
    {% roadbook_map page.get_all_legs %}
    <script type="text/javascript">
        ottbRoadbook.pagination.max_page = {{ page.get_paginator.num_pages }};
    </script>
{% endblock %}

{% block body_class %}template-roadbook-index{% endblock %}

{% block content %}
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-6 col-md-12 pl-0">
                {% leaflet_map "roadbook-map" %}
            </div>
            <div class="col-lg-6 col-md-12">
                <div class="row">
                    <div class="col-12 pb-3 mt-4">
                        <h1 class="display-3">{{ page.title }}</h1>
                    </div>
                </div>
                {% if items|length < 1 %}
                    <div class="row">
                        <div class="col-12">
                            <p class="text-muted">{% trans "No road book leg available" %}</p>
                        </div>
                    </div>
                {% else %}
                    <div class="row">
                        <div class="col-12 text-center mb-3">
                            <div class="d-flex justify-content-center">
                                {% include 'roadbook/includes/track_stats.html' %}
                            </div>
                        </div>
                    </div>
                    <div class="legs">
                        {% include "roadbook/includes/roadbook_item_list.html" %}
                    </div>
                    <div class="row{% if page.get_paginator.num_pages == 1 %} d-none{% endif %}">
                        <div class="col-12 text-center">
                            <button id="load-more-legs" class="btn btn-primary" onclick="requestNextLegListPage()">{% trans "Display more" %}</button>
                            <button id="loading-more-legs" class="btn btn-primary" onclick="requestNextLegListPage()" disabled style="display: none;"><span class="fa fa-compass fa-spin mr-1"></span>{% trans "Loading more" %}</button>
                        </div>
                    </div>
                {% endif %}
            </div>
        </div>
    </div>
{% endblock content %}
